'================================================================================================
'This script was made by QuippeR (QuippeR@axelero.hu) for Serious Samurize 1.25 and newer. 
'Serious Samurize can be downloaded at: http://www.samurize.com
'------------------------------------------------------------------------------------------------
'		---------------------------
'		:HunTV version 1.01:
'		---------------------------
'	Hungarian television script for Samurize
'	---------------------------------------------
'
'[English - Angol]
'This script can be used to recover information about the program of television channels transmitting in hungarian language.
'
'Any toughts and suggestions should be written to: QuippeR@axelero.hu
'
'
'[Magyar - Hungarian]
'Ennek a scriptnek a segtsgvel a kvetkez magyar nyelv adst sugrz televzicsatornk programjrl tjkozdhatsz:
'
'	mtv, m2, duna tv, tv2, rtl klub, viasat3, national geograpchic channel, hbo, filmmzeum, pax tv, hallmark, f+, m+, spektrum, 
'	discovery channel, animal planet, nickelodeon, minimax, fox kids, cartoon network, reality tv, hlzat tv, fnix tv,
'	sport1, magyar atv, humor1, viasat explore, axn 
'
'A csatorna nevvel megegyez (vagy arra hasonlt) azonostj fggvnyek az aktulisan fut program cmt adjk vissza.
'A csatornaneve_next tpus azonostval elltott fggvnyek a kvetkez msor cmt adjk vissza.
'A csatornaneve_prog tpus azonostval elltott fggvnyek az ppen sugrzott msor mr lesugrzott rsznek szzalkos
'	rtkt adjk vissza. (Hasznld ezeket a fggvnyeket a Serious Samurize Progressbar (oszlopdiagramm) funkcijval,
'	hogy grafikus informcit kapj a msor hosszrl!)
'A csatornaneve_simple tpus azonostval elltott fggvnyek ktsorosan adjk vissza a kvetkez informcikat:
'	ppen sugrzott ads kezdete - cme
'	kvetkez ads kezdet - cme
'
'Hozzszlsokat, megjegyzseket, krseket, krdseket ide vrok: QuippeR@axelero.hu
'
'[Credits]
'Information comes from: http://www.tvfilm.hu
'Credits go to:	 Alderaic, primortal, NeM, ViX
'
'Special thanks from the hungarian community go to JyriK for the beautiful hungarian TV channel icons.
'
'------------------------------------------------------------------------------------------------
TMPDIR = "hunTVtmp"	'A tmp file-ok a Samurize alknyvtr ezen alknyvtrban lesznek
'------------------------------------------------------------------------------------------------
SHOW_TIME = 0			'Ha 0, akkor nem rja ki az ppen fut msor el a kezdett.
'------------------------------------------------------------------------------------------------
PREFIX = ""		'Az ppen fut msor el kerl, ha nem a kezdetet ratod ki.
'------------------------------------------------------------------------------------------------
SUFFIX = ""			'Az ppen fut msor utn kerl, ha nem a kezdetet ratod ki.
'------------------------------------------------------------------------------------------------
SHOW_BEG_NEXT = 0		'Ha 0, akkor nem rja ki a kv. msor el a kezdett.
'------------------------------------------------------------------------------------------------
SEP = "-"			'Idpont s msorcm kz rand
'------------------------------------------------------------------------------------------------
'
'Ne vltoztasd meg a kettsvonal alattiakat!
'================================================================================================
'================================================================================================
'Constants

RTLKLUB_ = 3
TV2_ = 6
M1_ = 4
M2_ = 5
DUNA_ = 28
VIA3_ = 27
FILMM_ = 34
PAX_ = 45
HBO_ = 2
HALLMARK_ = 35
FPLUS_ = 52
MPLUS_ = 51
SPEKTRUM_ = 7
NATGEO_ = 29
DISCOVERY_ = 36
ANIMAL_ = 37
NICKELODEON_ = 31
MINIMAX_ = 32
FOXKIDS_ = 33
CARTOON_ = 46
REALITY_ = 40
VIVA_ = 49
HALOZAT_ = 48
FONIX_ = 50
SPORT1_ = 41
FIX_ = 44
TCM_ = 47
ATV_ = 43
HUMOR1_ = 53
VIASATEXP_ = 54
AXN_ = 55
EUROPA_ = 56
BBCPRIME_ = 57


'Public functions
'________________________________________________________________________________________________

'Magyar Televzi
'---------------------------------------------

function mtv()
	mtv = getProgram(M1_)
end function

function mtv_next()
	mtv_next = getNext(M1_)
end function

function mtv_prog()
	mtv_prog = progress(M1_)
end function

function mtv_simple()
	mtv_simple = getSimple(M1_)
end function

'TV2
'---------------------------------------------

function tv2()
	tv2 = getProgram(TV2_)
end function

function tv2_next()
	tv2_next = getNext(TV2_)
end function

function tv2_prog()
	tv2_prog = progress(TV2_)
end function

function tv2_simple()
	tv2_simple = getSimple(TV2_)
end function

'RTL Klub
'---------------------------------------------

function rtlk()
	rtlk = getProgram(RTLKLUB_)
end function

function rtlk_next()
	rtlk_next = getNext(RTLKLUB_)
end function

function rtlk_prog()
	rtlk_prog = progress(RTLKLUB_)
end function

function rtlk_simple()
	rtlk_simple = getSimple(RTLKLUB_)
end function

'Viasat 3
'---------------------------------------------

function via3()
	via3 = getProgram(VIA3_)
end function

function via3_next()
	via3_next = getNext(VIA3_)
end function

function via3_prog()
	via3_prog = progress(VIA3_)
end function

function via3_simple()
	via3_simple = getSimple(VIA3_)
end function

'Duna Televzi
'---------------------------------------------

function duna()
	duna = getProgram(DUNA_)
end function

function duna_next()
	duna_next = getNext(DUNA_)
end function

function duna_prog()
	duna_prog = progress(DUNA_)
end function

function duna_simple()
	duna_simple = getSimple(DUNA_)
end function

'Magyar 2
'---------------------------------------------

function m2()
	m2 = getProgram(M2_)
end function

function m2_next()
	m2_next = getNext(M2_)
end function

function m2_prog()
	m2_prog = progress(M2_)
end function

function m2_simple()
	m2_simple = getSimple(M2_)
end function

'HBO
'---------------------------------------------

function hbo()
	hbo = getProgram(HBO_)
end function

function hbo_next()
	hbo_next = getNext(HBO_)
end function

function hbo_prog()
	hbo_prog = progress(HBO_)
end function

function hbo_simple()
	hbo_simple = getSimple(HBO_)
end function

'Filmmzeum
'---------------------------------------------

function filmmuzeum()
	filmmuzeum = getProgram(FILMM_)
end function

function filmmuzeum_next()
	filmmuzeum_next = getNext(FILMM_)
end function

function filmmuzeum_prog()
	filmmuzeum_prog = progress(FILMM_)
end function

function filmmuzeum_simple()
	filmmuzeum_simple = getSimple(FILMM_)
end function

'PAX TV
'---------------------------------------------

function pax()
	pax = getProgram(PAX_)
end function

function pax_next()
	pax_next = getNext(PAX_)
end function

function pax_prog()
	pax_prog = progress(PAX_)
end function

function pax_simple()
	pax_simple = getSimple(PAX_)
end function

'Hallmark
'---------------------------------------------

function hallmark()
	hallmark = getProgram(HALLMARK_)
end function

function hallmark_next()
	hallmark_next = getNext(HALLMARK_)
end function

function hallmark_prog()
	hallmark_prog = progress(HALLMARK_)
end function

function hallmark_simple()
	hallmark_simple = getSimple(HALLMARK_)
end function

'fplus
'---------------------------------------------

function fplus()
	fplus = getProgram(FPLUS_)
end function

function fplus_next()
	fplus_next = getNext(FPLUS_)
end function

function fplus_prog()
	fplus_prog = progress(FPLUS_)
end function

function fplus_simple()
	fplus_simple = getSimple(FPLUS_)
end function

'M+
'---------------------------------------------

function mplus()
	mplus = getProgram(MPLUS_)
end function

function mplus_next()
	mplus_next = getNext(MPLUS_)
end function

function mplus_prog()
	mplus_prog = progress(MPLUS_)
end function

function mplus_simple()
	mplus_simple = getSimple(MPLUS_)
end function

'Spektrum
'---------------------------------------------

function spektrum()
	spektrum = getProgram(SPEKTRUM_)
end function

function spektrum_next()
	spektrum_next = getNext(SPEKTRUM_)
end function

function spektrum_prog()
	spektrum_prog = progress(SPEKTRUM_)
end function

function spektrum_simple()
	spektrum_simple = getSimple(SPEKTRUM_)
end function

'Discovery Channel
'---------------------------------------------

function discovery()
	discovery = getProgram(DISCOVERY_)
end function

function discovery_next()
	discovery_next = getNext(DISCOVERY_)
end function

function discovery_prog()
	discovery_prog = progress(DISCOVERY_)
end function

function discovery_simple()
	discovery_simple = getSimple(DISCOVERY_)
end function

'Animal Planet
'---------------------------------------------

function animal()
	animal = getProgram(ANIMAL_)
end function

function animal_next()
	animal_next = getNext(ANIMAL_)
end function

function animal_prog()
	animal_prog = progress(ANIMAL_)
end function

function animal_simple()
	animal_simple = getSimple(ANIMAL_)
end function

'National Geographic Channel
'---------------------------------------------

function ng()
	ng = getProgram(NATGEO_)
end function

function ng_next()
	ng_next = getNext(NATGEO_)
end function

function ng_prog()
	ng_prog = progress(NATGEO_)
end function

function ng_simple()
	ng_simple = getSimple(NATGEO_)
end function

'Nickelodeon
'---------------------------------------------

function nickelodeon()
	nickelodeon = getProgram(NICKELODEON_)
end function

function nickelodeon_next()
	nickelodeon_next = getNext(NICKELODEON_)
end function

function nickelodeon_prog()
	nickelodeon_prog = progress(NICKELODEON_)
end function

function nickelodeon_simple()
	nickelodeon_simple = getSimple(NICKELODEON_)
end function

'Minimax
'---------------------------------------------

function minimax()
	minimax = getProgram(MINIMAX_)
end function

function minimax_next()
	minimax_next = getNext(MINIMAX_)
end function

function minimax_prog()
	minimax_prog = progress(MINIMAX_)
end function

function minimax_simple()
	minimax_simple = getSimple(MINIMAX_)
end function

'Fox Kids
'---------------------------------------------

function foxkids()
	foxkids = getProgram(FOXKIDS_)
end function

function foxkids_next()
	foxkids_next = getNext(FOXKIDS_)
end function

function foxkids_prog()
	foxkids_prog = progress(FOXKIDS_)
end function

function foxkids_simple()
	foxkids_simple = getSimple(FOXKIDS_)
end function

'Cartoon Network
'---------------------------------------------

function cartoonnetwork()
	cartoonnetwork = getProgram(CARTOON_)
end function

function cartoonnetwork_next()
	cartoonnetwork_next = getNext(CARTOON_)
end function

function cartoonnetwork_prog()
	cartoonnetwork_prog = progress(CARTOON_)
end function

function cartoonnetwork_simple()
	cartoonnetwork_simple = getSimple(CARTOON_)
end function

'Reality TV
'---------------------------------------------

function realitytv()
	realitytv = getProgram(REALITY_)
end function

function realitytv_next()
	realitytv_next = getNext(REALITY_)
end function

function realitytv_prog()
	realitytv_prog = progress(REALITY_)
end function

function realitytv_simple()
	realitytv_simple = getSimple(REALITY_)
end function

'VIVA - 2004. februr 26. nem mkdik
'---------------------------------------------

'function viva()
'	viva = getProgram(VIVA_)
'end function

'function viva_next()
'	viva_next = getNext(VIVA_)
'end function

'function viva_prog()
'	viva_prog = progress(VIVA_)
'end function

'function viva_simple()
'	viva_simple = getSimple(VIVA_)
'end function

'Hlzat TV
'---------------------------------------------

function halozattv()
	halozattv = getProgram(HALOZAT_)
end function

function halozattv_next()
	halozattv_next = getNext(HALOZAT_)
end function

function halozattv_prog()
	halozattv_prog = progress(HALOZAT_)
end function

function halozattv_simple()
	halozattv_simple = getSimple(HALOZAT_)
end function

'Fnix TV
'---------------------------------------------

function fonix()
	fonix = getProgram(FONIX_)
end function

function fonix_next()
	fonix_next = getNext(FONIX_)
end function

function fonix_prog()
	fonix_prog = progress(FONIX_)
end function

function fonix_simple()
	fonix_simple = getSimple(FONIX_)
end function

'Sport1
'---------------------------------------------

function sport1()
	sport1 = getProgram(SPORT1_)
end function

function sport1_next()
	sport1_next = getNext(SPORT1_)
end function

function sport1_prog()
	sport1_prog = progress(SPORT1_)
end function

function sport1_simple()
	sport1_simple = getSimple(SPORT1_)
end function

'fix.tv - 2004. februr 26. nem mkdik
'---------------------------------------------

'function fixtv()
'	fixtv = getProgram(FIX_)
'end function

'function fixtv_next()
'	fixtv_next = getNext(FIX_)
'end function

'function fixtv_prog()
'	fixtv_prog = progress(FIX_)
'end function

'function fixtv_simple()
'	fixtv_simple = getSimple(FIX_)
'end function

'TCM - 2004. februr 25. nem mkdik
'---------------------------------------------

'function tcm()
'	tcm = getProgram(TCM_)
'end function

'function tcm_next()
'	tcm_next = getNext(TCM_)
'end function

'function tcm_prog()
'	tcm_prog = progress(TCM_)
'end function

'function tcm_simple()
'	tcm_simple = getSimple(TCM_)
'end function

'Magyar ATV
'---------------------------------------------

function atv()
	atv = getProgram(ATV_)
end function

function atv_next()
	atv_next = getNext(ATV_)
end function

function atv_prog()
	atv_prog = progress(ATV_)
end function

function atv_simple()
	atv_simple = getSimple(ATV_)
end function

'Humor1
'---------------------------------------------

function humor1()
	humor1 = getProgram(HUMOR1_)
end function

function humor1_next()
	humor1_next = getNext(HUMOR1_)
end function

function humor1_prog()
	humor1_prog = progress(HUMOR1_)
end function

function humor1_simple()
	humor1_simple = getSimple(HUMOR1_)
end function

'Viasat Explorer
'---------------------------------------------

function viasatexplorer()
	viasatexplorer = getProgram(VIASATEXP_)
end function

function viasatexplorer_next()
	viasatexplorer_next = getNext(VIASATEXP_)
end function

function viasatexplorer_prog()
	viasatexplorer_prog = progress(VIASATEXP_)
end function

function viasatexplorer_simple()
	viasatexplorer_simple = getSimple(VIASATEXP_)
end function

'AXN
'---------------------------------------------

function axn()
	axn = getProgram(AXN_)
end function

function axn_next()
	axn_next = getNext(AXN_)
end function

function axn_prog()
	axn_prog = progress(AXN_)
end function

function axn_simple()
	axn_simple = getSimple(AXN_)
end function

'Europa Europa - 2004. februr 25. nem mkdik
'---------------------------------------------

'function europa()
'	europa = getProgram(EUROPA_)
'end function

'function europa_next()
'	europa_next = getNext(EUROPA_)
'end function

'function europa_prog()
'	europa_prog = progress(EUROPA_)
'end function

'function europa_simple()
'	europa_simple = getSimple(EUROPA_)
'end function

'BBC Prime - 2004. februr 25. nem mkdik
'---------------------------------------------

'function bbcprime()
'	bbcprime = getProgram(BBCPRIME_)
'end function

'function bbcprime_next()
'	bbcprime_next = getNext(BBCPRIME_)
'end function

'function bbcprime_prog()
'	bbcprime_prog = progress(BBCPRIME_)
'end function

'function bbcprime_simple()
'	bbcprime_simple = getSimple(BBCPRIME_)
'end function

'================================================================================================
'Private functions
'________________________________________________________________________________________________


'getAll()
'
'Letlti a tvfilm.hu oldalrl az aktulis msort, majd elmenti a belltott temp file-ba.

'private
function getAllData(Channel)
	GetURL = "http://www.tvfilm.hu/tvfilm/index.php?f=search&what=search&datum=" & Year(now()) & "-"
	if number(Month(now()))<10 then
		getURL = getURL & "0" & Month(now()) & "-"
	else
		getURL = getURL & Month(now()) & "-"
	end if
	
	if number(day(now()))<10 then
		getURL= getURL & "0" & day(now()) & "&ch_id=" & Channel
	else
		getURL= getURL & day(now()) & "&ch_id=" & Channel
	end if

	FirstStr = "<td height=30 colspan=2>"
	LastStr =  "table>"
	RepStr = "font face=Verdana,Arial size=1"

	HTML_Result = ReturnHTML(GetURL)

	HTML_Result = Right(HTML_Result, Len(HTML_Result)-instr(HTML_Result, FirstStr)+1)
	HTML_Result = Left(HTML_Result, instr(HTML_Result, LastStr)-1)

	set Http = Nothing

	dim output
	dim check
	
	do while instr(HTML_Result,RepStr)>0
		HTML_Result = Right(HTML_Result,Len(HTML_Result)-instr(HTML_Result, RepStr))
		HTML_Result = Right(HTML_Result,Len(HTML_Result)-instr(HTML_Result, ">"))
		output = output & left(HTML_Result, instr(HTML_Result, "<")-1) & "  "
		HTML_Result = Right(HTML_Result,Len(HTML_Result)-instr(HTML_Result, RepStr))
		HTML_Result = Right(HTML_Result,Len(HTML_Result)-instr(HTML_Result, ">"))
		if  (instr(HTML_Result, "<")=instr(HTML_Result,"<a ")) then
			HTML_Result = Right(HTML_Result, Len(HTML_Result)-3)
			HTML_Result = Right(HTML_Result,Len(HTML_Result)-instr(HTML_Result, ">"))
		end if
		output = output & left(HTML_Result, instr(HTML_Result, "<")-1) & Chr(13) & Chr(10)
	loop

	set fs = CreateObject("Scripting.FileSystemObject")
	
	Dim SamurizeDir	'Samurize alknyvtr
	SamurizeDir = CreateObject("WScript.Shell").RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")
	
	Dim tmpath
	tmpath = SamurizeDir & TMPDIR & "\"
	If Not fs.FolderExists(tmpath) Then
		fs.CreateFolder (tmpath)
	End If
	
	Dim filename
	filename = tmpath & Channel & ".tv"
	
	set f = fs.CreateTextFile(filename,true,true)

	f.write(output)
	f.close
	set f = Nothing
	set fs = Nothing
	getAllData = geturl

end function


'getLine(Channel)
'Visszaadja az ppen sugrzott s a kvetkez adst

private function getLine(Channel)
	set fs=CreateObject("Scripting.FileSystemObject")
	dim f
	
	Dim SamurizeDir	'Samurize alknyvtr
	SamurizeDir = CreateObject("WScript.Shell").RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")
	
	Dim tmpath
	tmpath = SamurizeDir & TMPDIR & "\"
	If Not fs.FolderExists(tmpath) Then
		getAllData(Channel)
	End If
	
	Dim filename
	filename = tmpath & Channel & ".tv"
	
	if not fs.fileexists(filename) then
		getAllData(Channel)
	end if
	
	temp = time()
	actHour = left(temp,instr(temp,":")-1)
	actMin = right(left(temp,instrRev(temp,":")-1),2)
	actSec = right(temp,len(temp)-instrrev(temp,":"))
	if len(actSec)>2 then
		AMPM = right(actSec,2)
		actSec = left(actSec,2)
		if AMPM = "PM" then
			actHour = actHour + 12
		end if
	end if
	
	'if number(actHour) < 10 then 
	'	actHour = "0" & actHour
	'end if	
	
	if (AMPM = "PM")  then
		actHour = actHour + 12
	end if
	
	set f = fs.GetFile(filename)
	
	if datediff( "d", f.DateLastModified, now())>0 and (number(actHour)>5) then
		getAllData(Channel)
	end if

	if (not AMPM = "PM") and (number(acthour)<5) then
		actHour = actHour + 24
	end if
	
	set f = Nothing
	set fs = Nothing
	
	channeldata = readfile(filename)

	nextHour = 0
	nextMin = 0
	
	do while ((number(nextHour)<number(actHour)) or ((number(nextHour)=number(actHour)) and (number(nextMin)<=number(actMin))))
		channeldata = replace(channeldata, "", "", 1, 1)
		active = Left(channeldata,instr(channeldata, Chr(13))-1)
		if instr(channeldata, "")>0 then
			channeldata = Right(channeldata, len(channeldata)-instr(channeldata, "")+7)
			tmpHour = nextHour
			nextHour = Left(channeldata, instr(channeldata, ":")-1)
			nextMin = Left(channeldata, instr(channeldata, "")-2)
			nextMin = Right(NextMin, 2)
			if (number(nextHour)<number(tmpHour)) or (number(tmpHour)>=24) then
				nextHour = nextHour + 24
			end if
		else
			nextHour = 30
		end if
	loop
	if instr(channeldata, "")>0 then
		nextl = Left(channeldata, instr(channeldata, Chr(13))-1)
	else
		nextl = "05:00  Ads kezdete" & Chr(13) & Chr(10)
	end if
	active = replace(active, "", "")
	getLine = active & Chr(13) & Chr(10) & nextl
end function

'getSimple(Channel)
'Visszaadja a jelenlegi s kvetkez msort

private function getSimple(Channel)
	getSimple = Replace(getLine(Channel), "", SEP)
end function

'getProgram(Channel)
'Visszadja az aktulis msort
private function getProgram(Channel)
	temp = getLine(Channel)
	temp = Left(temp,instr(temp, Chr(13))-1)
	if SHOW_TIME then
		getProgram = replace(temp, "", SEP)
		exit function
	end if
	getProgram = PREFIX & right(temp, len(temp)-instr(temp, "")) & SUFFIX
end function

'getNext(Channel)
'Visszaadja a kvetkez msort.

private function getNext(Channel)
	temp = getLine(Channel)
	temp = Right(temp, len(temp)-instr(temp,Chr(10)))
	if SHOW_BEG_NEXT then 
		getNext = replace(temp, "", SEP)
		exit function
	end if
	getNext = right(temp, len(temp)-instr(temp, ""))

end function

'getStart(Channel)
'Az ppen jtszott msor kezdetnek idpontja.

private function getStart(Channel)
	temp = getLine(Channel)
	temp = Left(temp,instr(temp, "")-2)
	getStart = temp
end function


'getEnd(Channel)
'A kvetkez msor kezdetnek idpontja.

private function getEnd(Channel)
	temp = getLine(Channel)
	temp = Right(temp, len(temp)-instr(temp,Chr(10)))
	temp = Left(temp,instr(temp, "")-2)
	getEnd = temp
end function


'progress(Channel)
'Szzalkos rtket ad vissza arrl, hogy hol tart ppen az ads.

private function progress(Channel)
	dif_h = 0
	dif_m = 0
	difference = 0

	Time_beg = getStart(Channel)		'Msor kezdete
	Time_end = getEnd(Channel)		'Msor vge

	beg_h = left(Time_beg, 2)		'Msor kezdete, ra sszetev
	beg_m = right(Time_beg, 2)		'Msor kezdete, perc sszetev

	end_h = left(Time_end, 2)		'Msor vge, ra sszetev
	end_m = right(Time_end, 2)		'Msor vge, perc sszetev


	hour_now = time()
	hour_now = left(hour_now, instr(hour_now,":")-1)
'---------ra szmtsa

	if end_h = beg_h then			'Ha a msor eleje s vge egy rban van, akkor a msor hossza = (a msor vgnek perc sszetevje) - (a msor elejnek perc sszetevje)
		difference = end_m - beg_m
	end if

	if number(end_h) < number(beg_h) then			'Ha a kv. msor korbban kezddik, mint a most jtszott msor (msnap), akkor a msoridt szmthajuk gy is, hogy a kv. msor kezdetnek idpontjhoz hozzadunk 24 rt.
		end_h = end_h + 24
	end if

	dif_h = end_h - beg_h

'---------Perc szmtsa

	dif_m = end_m - beg_m

'---------Teljes msorid kiszmtsa percben
	if difference = 0 then
		difference = dif_h*60 + dif_m
	end if

'---------Msor vge rvnyes dtum formtumban
	end_date = (left(now(),12) & TimeValue(Time_end))	'Mai dtum & kv. msor kezdetnek idpontja.

	if (end_h >= 24) and (hour_now>10) then			'Ha holnap kezddik a kv. msor, akkor egy napot ad a dtumhoz.
		end_date = DateAdd("d",1,end_date)
	end if

'---------Htralv id

	time_left = datediff("n",now(),end_date)

'---------Szzalk

	progress = (1-(time_left/difference))*100

end function


'Number(str)
'A beadott stringet talaktja szmm. (Azrt kell, mert "8">"24", de 8<24.)

private function Number(str)
	temp = 0
	for i=1 to len(str)
		tmpstr = mid(str, i, 1)
		num = Asc(tmpstr) - Asc(0)
		temp = temp * 10 + num
	next

	Number = temp
end function


'Following function by Alderaic   (I copied it from his post at samurize.com)


'Reads the contents of a file.

private Function readFile(fN)
       dim contents
       Set fs = CreateObject ("Scripting.FileSystemObject")
       If (fs.FileExists(fN)) Then
               Set filePath = fs.GetFile(fN)
               set File = filePath.OpenAsTextStream (1, -2)
               contents = file.readall
               File.Close ' Closes the file
               Set filePath = nothing
               Set fs = nothing
               Set File = nothing
       Else
               Exit Function
       End If
       ' return file contents
       readFile = contents
End Function


'Following function by NeM  (My self-made function didn't work, because of hungarian special characters)

Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing
End Function


'EOF